{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  hatch-nodejs-version,
  hatch-requirements-txt,
  hatchling,
  jinja2,
  markdown,
  mkdocs,
  pygments,
  pymdown-extensions,
}:

buildPythonPackage rec {
  pname = "mkdocs-terminal";
  version = "4.6.0";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "ntno";
    repo = "mkdocs-terminal";
    rev = version;
    hash = "sha256-Njfv1cBcF/5xW6QdgOvqVjp0JjXDUC0m20YdqYdooHo=";
  };

  build-system = [
    hatch-nodejs-version
    hatch-requirements-txt
    hatchling
  ];

  dependencies = [
    jinja2
    markdown
    mkdocs
    pygments
    pymdown-extensions
  ];

  meta = {
    description = "Monospace theme for MkDocs";
    homepage = "https://github.com/ntno/mkdocs-terminal";
    license = lib.licenses.mit;
    maintainers = with lib.maintainers; [ ];
  };
}
